Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

# Interface ColorProvider

public interface ColorProvider
Contains the definition of colors for syntax highlighting.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final RGB`
`COMMENT_COLOR`
`static final String`
`COMMENT_COLOR_PREF`
`static final RGB`
`KEYWORD_COLOR`
`static final String`
`KEYWORD_COLOR_PREF`

## Field Details

### COMMENT_COLOR

static final RGB COMMENT_COLOR

### COMMENT_COLOR_PREF

static final String COMMENT_COLOR_PREF

See Also:
  - Constant Field Values

### KEYWORD_COLOR

static final RGB KEYWORD_COLOR

### KEYWORD_COLOR_PREF

static final String KEYWORD_COLOR_PREF

See Also:
  - Constant Field Values